services:
  backend:
    build:
      context: ./backend
      dockerfile: Dockerfile
    container_name: scheduler-backend
    expose:
      - "8000"
    restart: unless-stopped

  frontend:
    build:
      context: ./frontend
      dockerfile: Dockerfile
    container_name: scheduler-frontend
    depends_on:
      - backend
    expose:
      - "80"
    restart: unless-stopped
  scheduler-nginx:
    image: nginx:alpine
    container_name: scheduler-nginx
    ports:
      - "8080:80" # Access via VM-IP:8080
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf:ro
    depends_on:
      - backend
      - frontend
    restart: unless-stopped
